1. Leads
ViaLane integrations
  • Leads
    • Create
      POST
    • Get Leads By Filters
      GET
  • Schemas
    • CreateLeadInputSchema
    • HTTPValidationError
    • ValidationError
  1. Leads

Create

POST
/lead/create
Create a new Lead

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Example
{
    "firstName": "Teofila",
    "lastName": "Campos",
    "email": "camposmorenoteofila27@gmail.com",
    "password": "2iHK9Pvw6a",
    "country": "MX",
    "countryPhoneCode": "52",
    "phone": "6676436743",
    "referral": "string",
    "source": "bitcoin",
    "folder": "string",
    "optional1": "string",
    "optional2": "string",
    "optional3": "string",
    "optional4": "string",
    "optional5": "string",
    "optional6": "string",
    "optional7": "string",
    "optional8": "string",
    "optional9": "string",
    "optional10": "string",
    "optional11": "string",
    "optional12": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/lead/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstName": "Teofila",
    "lastName": "Campos",
    "email": "camposmorenoteofila27@gmail.com",
    "password": "2iHK9Pvw6a",
    "country": "MX",
    "countryPhoneCode": "52",
    "phone": "6676436743",
    "referral": "string",
    "source": "bitcoin",
    "folder": "string",
    "optional1": "string",
    "optional2": "string",
    "optional3": "string",
    "optional4": "string",
    "optional5": "string",
    "optional6": "string",
    "optional7": "string",
    "optional8": "string",
    "optional9": "string",
    "optional10": "string",
    "optional11": "string",
    "optional12": "string"
}'

Responses

🟢200
application/json
Successful Response
Bodyapplication/json

Example
null
🟠422
Next
Get Leads By Filters
Built with